## starpu-contrib 1.1.5

=== doc/tutorial/Makefile ===
# StarPU --- Runtime system for heterogeneous multicore architectures.
#
# Copyright (C) 2009-2011  Université de Bordeaux
# Copyright (C) 2010-2013  Centre National de la Recherche Scientifique
#
# StarPU is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at
# your option) any later version.
#
# StarPU is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# See the GNU Lesser General Public License in COPYING.LGPL for more details.

CFLAGS          +=      $$(pkg-config --cflags starpu-1.1)
LDFLAGS         +=      $$(pkg-config --libs starpu-1.1)

HAS_CUDA	=	$(shell pkg-config --libs starpu-1.1 |grep -i cuda)
NVCC		?=	nvcc
HAS_OPENCL	=	$(shell pkg-config --libs starpu-1.1 |grep -i opencl)

%.o: %.cu
	nvcc $(CFLAGS) $< -c

TARGETS = hello_world vector_scal hello_world_plugin vector_scal_plugin

all: $(TARGETS)

VECTOR_SCAL_PREREQUISITES	=	vector_scal.o vector_scal_cpu.o
ifneq ($(strip $(HAS_CUDA)),)
VECTOR_SCAL_PREREQUISITES	+=	vector_scal_cuda.o
VECTOR_SCAL_COMPILER		=	$(NVCC)
else
VECTOR_SCAL_COMPILER		=	$(CC)
endif
ifneq ($(strip $(HAS_OPENCL)),)
VECTOR_SCAL_PREREQUISITES += vector_scal_opencl.o
endif

vector_scal: $(VECTOR_SCAL_PREREQUISITES)
	$(VECTOR_SCAL_COMPILER) $(LDFLAGS) $^ -o $@

hello_world_plugin: hello_world_plugin.c
	$(CC) $(CFLAGS) -fplugin=`pkg-config starpu-1.1 --variable=gccplugin` $(LDFLAGS) $^ -o $@

VECTOR_SCAL_PLUGIN_PREREQUISITES	=	vector_scal_plugin.o
ifneq ($(strip $(HAS_CUDA)),)
VECTOR_SCAL_PLUGIN_PREREQUISITES	+=	vector_scal_plugin_cuda.o
VECTOR_SCAL_PLUGIN_COMPILER		=	$(NVCC)
else
VECTOR_SCAL_PLUGIN_COMPILER		=	$(CC)
endif

vector_scal_plugin.o: vector_scal_plugin.c
	$(CC) -c $(CFLAGS) -fplugin=`pkg-config starpu-1.1 --variable=gccplugin` $^ -o $@

vector_scal_plugin: $(VECTOR_SCAL_PLUGIN_PREREQUISITES)
	$(CC) -fplugin=`pkg-config starpu-1.1 --variable=gccplugin` $(LDFLAGS) $(VECTOR_SCAL_PLUGIN_PREREQUISITES) -o $@

clean:
	rm -f $(TARGETS) *.o

## starpu-contrib 0.9.1

=== debian/changelog ===
starpu-contrib (0.9.1-3ubuntu0.1) precise-proposed; urgency=low

  * debian/control: build-depends on nvidia-current, nvidia-current-updates,
    nvidia-experimental-* instead of libcuda1. (LP: #950963) 

 -- Graham Inggs <graham@nerve.org.za>  Thu, 21 Feb 2013 01:50:54 +0200

starpu-contrib (0.9.1-3) unstable; urgency=low

  * debian/control:
    - Add libcnf-dev and gfortran build-dependency for the fortran example.
    - Depend on nvidia-cuda-toolkit and libcuda1 instead of nvidia-opencl-dev
      and nvidia-cuda-dev, since starpu also needs nvcc (Closes: Bug#638980)
    - Make contrib Architecture: amd64 i386 since it only makes sense there.
  * debian/rules: Fix main/contrib switch rules accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 May 2011 19:12:30 +0200

starpu (0.9.1-2) unstable; urgency=low

  * debian/rules:
    - Add rule to change Sections to contrib/.
    - Set HOME to $PWD while making test, to permit buildds to write into
      $HOME/.starpu.
  * debian/control: Depend on libnuma-dev only on architectures which have it.
  * debian/patches/no-fftwl: Build starpufft even without fftwl.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 May 2011 18:26:07 +0200

starpu (0.9.1-1) unstable; urgency=low

  * Initial release (Closes: #619848)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 19 May 2011 13:34:51 +0200

=== debian/control ===
Source: starpu-contrib
Priority: extra
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, dh-autoreconf,
	pkg-config,
	libnuma-dev [amd64 i386 ia64 mips mipsel powerpc],
	libglpk-dev,
	mpi-default-dev,
	libgl1-mesa-dev | libgl-dev,
	libglu1-mesa-dev | libglu-dev,
	freeglut3-dev,
	libx11-dev,
	libblas-dev,
	libfftw3-dev,
	libhwloc-dev,
	libcnf-dev, gfortran,
	nvidia-cuda-toolkit,
	nvidia-current | nvidia-current-updates | nvidia-experimental-304 | nvidia-experimental-310,
Standards-Version: 3.9.2
Section: contrib/libs
Homepage: http://starpu.gforge.inria.fr/
Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
Vcs-Browser: https://gforge.inria.fr/scm/viewvc.php/debian/unstable/?root=starpu

Package: libstarpu-contrib-dev
Section: contrib/libdevel
Architecture: amd64 i386
Depends: libstarpu-contrib0 (= ${binary:Version}), ${misc:Depends}, install-info
Conflicts: libstarpu-dev
Description: Task scheduler for heterogeneous multicore machines - dev
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains development headers and libraries.

Package: libstarpu-contrib0
Section: contrib/libs
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu0
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains the main StarPU library

Package: libstarpu-contribfft0
Section: contrib/libs
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpufft0
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains a hybrid CPU+GPU FFT library.

Package: libstarpu-contribmpi0
Section: contrib/libs
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpumpi0
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains MPI extensions for StarPU.

Package: starpu-contrib-tools
Section: contrib/utils
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-tools
Description: Task scheduler for heterogeneous multicore machines - tools
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains StarPU tools.

Package: starpu-contrib-examples
Section: contrib/science
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-examples
Description: Task scheduler for heterogeneous multicore machines - exs
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains application examples.

## starpu-contrib 1.0.0~rc1

=== debian/changelog ===
starpu-contrib (1.0.0~rc1-1) experimental; urgency=low

  * New upstream release candidate.
    - Add qt dependencies for StarPU-Top, Use system qwt.
    - Add new libsocl0 binary package.
    - Remove patches/{format,info,memory,no-fftwl}, merged upstream.
    - Update debian/copyright
    - Add starpu-top package.
  * Add provides to contrib variants.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Jan 2012 12:04:47 +0100

starpu (0.9.1-4) UNRELEASED; urgency=low

  * control:
    - Depend on hardening-check.
    - Make libstarpu-dev depend on libhwloc-dev.
  * rules:
    - Set DEB_BUILD_HARDENING=1 to enable hardening.
    - Set empty DISPLAY to avoid opening a window during Mandelbrot test.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 24 Nov 2011 09:14:49 +0100

starpu (0.9.1-3) unstable; urgency=low

  * debian/control:
    - Add libcnf-dev and gfortran build-dependency for the fortran example.
    - Depend on nvidia-cuda-toolkit and libcuda1 instead of nvidia-opencl-dev
      and nvidia-cuda-dev, since starpu also needs nvcc (Closes: Bug#638980)
    - Make contrib Architecture: amd64 i386 since it only makes sense there.
  * debian/rules: Fix main/contrib switch rules accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 May 2011 19:12:30 +0200

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,10 @@
 	libfftw3-dev,
 	libhwloc-dev,
 	libcnf-dev, gfortran,
+	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
+	hardening-wrapper,
 	nvidia-cuda-toolkit,
-	nvidia-current | nvidia-current-updates | nvidia-experimental-304 | nvidia-experimental-310,
+	libcuda1,
 Standards-Version: 3.9.2
 Section: contrib/libs
 Homepage: http://starpu.gforge.inria.fr/
@@ -25,8 +27,9 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: amd64 i386
-Depends: libstarpu-contrib0 (= ${binary:Version}), ${misc:Depends}, install-info
+Depends: libstarpu-contrib-1.0 (= ${binary:Version}), ${misc:Depends}, install-info, libhwloc-dev
 Conflicts: libstarpu-dev
+Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -38,11 +41,12 @@
  .
  This package contains development headers and libraries.
 
-Package: libstarpu-contrib0
+Package: libstarpu-contrib-1.0
 Section: contrib/libs
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu0
+Conflicts: libstarpu-1.0
+Provides: libstarpu-1.0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -54,11 +58,12 @@
  .
  This package contains the main StarPU library
 
-Package: libstarpu-contribfft0
+Package: libstarpu-contribfft-1.0
 Section: contrib/libs
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpufft0
+Conflicts: libstarpufft-1.0
+Provides: libstarpufft-1.0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -70,11 +75,12 @@
  .
  This package contains a hybrid CPU+GPU FFT library.
 
-Package: libstarpu-contribmpi0
+Package: libstarpu-contribmpi-1.0
 Section: contrib/libs
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpumpi0
+Conflicts: libstarpumpi-1.0
+Provides: libstarpumpi-1.0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -91,6 +97,7 @@
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-tools
+Provides: starpu-tools
 Description: Task scheduler for heterogeneous multicore machines - tools
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -102,11 +109,27 @@
  .
  This package contains StarPU tools.
 
+#Package: starpu-contrib-top
+#Section: utils
+#Architecture: any
+#Depends: ${shlibs:Depends}, ${misc:Depends}
+#Description: Task scheduler for heterogeneous multicore machines - top
+# StarPU is a runtime system that offers support for heterogeneous
+# multicore machines. While many efforts are devoted to design efficient
+# computation kernels for those architectures (e.g. to implement BLAS
+# kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
+# offloading such kernels (and implementing data coherency across
+# the machine), but it also makes sure the kernels are executed as
+# efficiently as possible.
+# .
+# This package contains a graphical top tool.
+#
 Package: starpu-contrib-examples
 Section: contrib/science
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-examples
+Provides: starpu-examples
 Description: Task scheduler for heterogeneous multicore machines - exs
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -117,3 +140,18 @@
  efficiently as possible.
  .
  This package contains application examples.
+
+Package: libsocl-contrib0
+Section: contrib/libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Task scheduler for heterogeneous multicore machines
+ StarPU is a runtime system that offers support for heterogeneous
+ multicore machines. While many efforts are devoted to design efficient
+ computation kernels for those architectures (e.g. to implement BLAS
+ kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
+ offloading such kernels (and implementing data coherency across
+ the machine), but it also makes sure the kernels are executed as
+ efficiently as possible.
+ .
+ This package contains an OpenCL-compatible library interface to StarPU.

## starpu-contrib 1.0.0~rc3

=== debian/changelog ===
starpu-contrib (1.0.0~rc3-1) experimental; urgency=low

  * New upstream release candidate.
  * rules:
    - Enable parallel build.
    - build out of source to prepare for gcc plugins built for several gcc
    versions.
    - rules: Run make showcheck after check.
  * control:
    - build-depend on gcc-4.6-plugin-dev and help2man.
    - Add missing shlib dependency for libstarpu-dev.
  * lib*.install: Use wildcard instead of 1.0.
  * libstarpu-dev.install: Add gcc plugin.
  * starpu-tools.install: Install manpages.
  * patches/starpu-top: New patch to fix out-of-source build.
  * info: Install all info files.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 06 Mar 2012 18:29:57 +0100

starpu (1.0.0~rc1-1) experimental; urgency=low

  * New upstream release candidate.
    - Add qt dependencies for StarPU-Top, Use system qwt.
    - Add new libsocl0 binary package.
    - Remove patches/{format,info,memory,no-fftwl}, merged upstream.
    - Update debian/copyright
    - Add starpu-top package.
  * Add provides to contrib variants.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Jan 2012 12:04:47 +0100

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,11 @@
 	libcnf-dev, gfortran,
 	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
 	hardening-wrapper,
+	gcc-4.6-plugin-dev,
+	help2man,
 	nvidia-cuda-toolkit,
 	libcuda1,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: contrib/libs
 Homepage: http://starpu.gforge.inria.fr/
 Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
@@ -27,7 +29,7 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: amd64 i386
-Depends: libstarpu-contrib-1.0 (= ${binary:Version}), ${misc:Depends}, install-info, libhwloc-dev
+Depends: libstarpu-contrib-1.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, install-info, libhwloc-dev
 Conflicts: libstarpu-dev
 Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1
DH_OPTIONS=-Bbuild

%:
	dh $@ --parallel $(DH_OPTIONS) --with autoreconf

override_dh_auto_configure:
	dh_auto_configure $(DH_OPTIONS) -- --enable-opengl-render \
		--with-qwt-include-dir=/usr/include/qwt-qt4 \
		--with-qwt-lib=qwt-qt4

override_dh_auto_test:
	-HOME=$$PWD DISPLAY= dh_auto_test $(DH_OPTIONS) 
	$(MAKE) -C build showcheck

override_dh_auto_clean:
	dh_auto_clean $(DH_OPTIONS) 
	rm -fr .starpu
	rm -f starpu-top/StarPU-Top
	rm -fr .nv

# Switch to main rules
main:
	sed -i 's/starpu-contrib/starpu/' debian/changelog
	sed -i '1s/^Source: starpu-contrib/Source: starpu/' debian/control
	sed -i 's/Package: libstarpu-contrib/Package: libstarpu/' debian/control
	sed -i 's/Package: starpu-contrib/Package: starpu/' debian/control
	sed -i 's/Depends: libstarpu-contrib/Depends: libstarpu/' debian/control
	sed -i 's/Conflicts: libstarpu/Conflicts: libstarpu-contrib/' debian/control
	sed -i 's/Conflicts: starpu/Conflicts: starpu-contrib/' debian/control
	sed -i 's/^Provides:/#Provides:/' debian/control
	sed -i 's/^Architecture: amd64 i386/Architecture: any/' debian/control
	sed -i 's/^	nvidia-cuda-toolkit,/#	nvidia-cuda-toolkit,/' debian/control
	sed -i 's/^	libcuda1,/#	libcuda1,/' debian/control
	sed -i 's_^Section: contrib/_Section: _' debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i '/libsocl/,$$s/^\([^#]\)/#\1/' debian/control
	sed -i '/starpu-top/,/^#$$/s/^#//' debian/control

# Switch to contrib rules
contrib:
	sed -i '/starpu-top/,/^$$/s/^/#/' debian/control
	sed -i '1s/^starpu /starpu-contrib /' debian/changelog
	sed -i '1s/^Source: starpu/Source: starpu-contrib/' debian/control
	sed -i 's/Package: libstarpu/Package: libstarpu-contrib/' debian/control
	sed -i 's/Package: starpu/Package: starpu-contrib/' debian/control
	sed -i 's/Depends: libstarpu/Depends: libstarpu-contrib/' debian/control
	sed -i 's/Conflicts: libstarpu-contrib/Conflicts: libstarpu/' debian/control
	sed -i 's/Conflicts: starpu-contrib/Conflicts: starpu/' debian/control
	sed -i 's/^#Provides:/Provides:/' debian/control
	sed -i 's/^Architecture: any/Architecture: amd64 i386/' debian/control
	sed -i 's/#	nvidia-cuda-toolkit,/	nvidia-cuda-toolkit,/' debian/control
	sed -i 's/#	libcuda1,/	libcuda1,/' debian/control
	sed -i 's_contrib/contrib/_contrib_g' debian/control debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i '/libsocl/,$$s/^#//' debian/control
	sed -i 's_^Section: _Section: contrib/_' debian/control

## starpu-contrib 1.0.1

=== debian/changelog ===
starpu-contrib (1.0.1-3ubuntu1) quantal; urgency=low

  * debian/control: fix FTBFS (LP: #950963).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 04 Oct 2012 15:40:21 +0200

starpu-contrib (1.0.1-3) unstable; urgency=low

  * control, rules: Use gcc-4.4 instead of gcc-4.5 for starpu-contrib
    (Closes: Bug#680898).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Jul 2012 09:40:40 +0200

starpu (1.0.1-2) unstable; urgency=low

  * control: Really use relaxed gcc-4.6 version test, not just exactly the
    upstream version part, thanks Andreas Beckmann for initial patch
    (Closes: Bug#670422).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 31 May 2012 13:53:27 +0200

starpu (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Explicitly use gcc-4.6 to fix plugin build (Closes: Bug#667381).
  * Use gcc-4.5 for starpu, as nvcc does not actually support all 4.6
    features, notably not __float128.
  * patches/relax-gcc-plugin: Relax gcc-4.6 dependency for plugins to upstream
    release version (Closes: #670422)
  * watch: Fix URL.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 12 Apr 2012 15:04:15 +0200

starpu (1.0.0-1) unstable; urgency=low

  * New upstream release.
    - Add qt dependencies for StarPU-Top, Use system qwt.
    - Add new libsocl0 binary package.
    - Remove patches/{format,info,memory,no-fftwl}, merged upstream.
    - Update debian/copyright
    - Add starpu-top package.

  * control:
    - Depend on hardening-check.
    - Make libstarpu-dev depend on libhwloc-dev.
    - build-depend on gcc-4.6-plugin-dev and help2man.
    - Add missing shlib dependency for libstarpu-dev.
    - Add provides to contrib variants.
    - Bump Standards-Version to 3.9.3 (no changes).
  * rules:
    - Set DEB_BUILD_HARDENING=1 to enable hardening.
    - Set empty DISPLAY to avoid opening a window during Mandelbrot test.
    - Enable parallel build.
    - build out of source to prepare for gcc plugins built for several gcc
    versions.
    - rules: Run make showcheck after check.

  * rules, control: Make libstarpu-dev depend on the exact version of gcc that
    compiled the plugin, as the plugin infrastructure is very strict about it.
  * lib*.install: Use wildcard instead of 1.0.
  * libstarpu-dev.install: Add gcc plugin.
  * starpu-tools.install: Install manpages.
  * info: Install all info files.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Mar 2012 14:42:41 +0200

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,13 @@
 	libhwloc-dev,
 	libcnf-dev, gfortran,
 	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
-	hardening-wrapper,
-	gcc-4.6-plugin-dev,
+#	hardening-wrapper,
+#	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,
+	gcc-4.4, g++-4.4,
 	help2man,
 	nvidia-cuda-toolkit,
-	libcuda1,
+	nvidia-current | nvidia-current-updates,
+Build-Conflicts: gcc-4.6, g++-4.6, hardening-wrapper
 Standards-Version: 3.9.3
 Section: contrib/libs
 Homepage: http://starpu.gforge.inria.fr/
@@ -29,7 +31,7 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: amd64 i386
-Depends: libstarpu-contrib-1.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, install-info, libhwloc-dev
+Depends: libstarpu-contrib-1.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, install-info, libhwloc-dev
 Conflicts: libstarpu-dev
 Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -143,9 +145,9 @@
  .
  This package contains application examples.
 
-Package: libsocl-contrib0
+Package: libsocl-contrib-1.0
 Section: contrib/libs
-Architecture: any
+Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous

## starpu-contrib 1.0.1+dfsg

=== debian/changelog ===
starpu-contrib (1.0.1+dfsg-1) wheezy; urgency=low

  * Rebuild orig tarball without NVIDIA proprietary source code
    (Closes: Bug#724919).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 05 Nov 2013 10:22:32 +0100

starpu (1.0.1-3) unstable; urgency=low

  * control, rules: Use gcc-4.4 instead of gcc-4.5 for starpu-contrib
    (Closes: Bug#680898).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Jul 2012 09:40:40 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	gcc-4.4, g++-4.4,
 	help2man,
 	nvidia-cuda-toolkit,
-	nvidia-current | nvidia-current-updates,
+	libcuda1,
 Build-Conflicts: gcc-4.6, g++-4.6, hardening-wrapper
 Standards-Version: 3.9.3
 Section: contrib/libs

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,20 @@
 
 export DEB_BUILD_HARDENING=1
 DH_OPTIONS=-Bbuild
+
+source=$(shell head -n 1 debian/changelog | cut -d ' ' -f 1)
+
+GCC_VERSION          := 4.6
+
+ifeq ($(source),starpu)
+CC=gcc-$(GCC_VERSION)
+else
+# nvcc chokes on gcc-4.6's __float128
+CC=gcc-4.4
+endif
+export CC
+V=1
+export V
 
 %:
 	dh $@ --parallel $(DH_OPTIONS) --with autoreconf
@@ -15,11 +29,24 @@
 	-HOME=$$PWD DISPLAY= dh_auto_test $(DH_OPTIONS) 
 	$(MAKE) -C build showcheck
 
+ifeq ($(source),starpu)
+override_dh_install:
+	dh_install usr/lib/starpu/*/gcc/*/*.so* /usr/lib/gcc/$(DEB_HOST_MULTIARCH)/4.6/plugin
+endif
+
 override_dh_auto_clean:
 	dh_auto_clean $(DH_OPTIONS) 
 	rm -fr .starpu
 	rm -f starpu-top/StarPU-Top
 	rm -fr .nv
+
+ifeq ($(source),starpu)
+# This is required by the gcc plugin infrastructure
+GCC_DEBIAN_VERSION   := $(shell dpkg-query -f '$${Version}' -W gcc-$(GCC_VERSION))
+GCC_UPSTREAM_VERSION := $(firstword $(subst -, ,$(GCC_DEBIAN_VERSION)))
+override_dh_gencontrol:
+	dh_gencontrol -- -VgccDeps='gcc-$(GCC_VERSION) (>= $(GCC_DEBIAN_VERSION)), gcc-$(GCC_VERSION) (<< $(GCC_UPSTREAM_VERSION)A)'
+endif
 
 # Switch to main rules
 main:
@@ -32,12 +59,16 @@
 	sed -i 's/Conflicts: starpu/Conflicts: starpu-contrib/' debian/control
 	sed -i 's/^Provides:/#Provides:/' debian/control
 	sed -i 's/^Architecture: amd64 i386/Architecture: any/' debian/control
+	sed -i 's/#	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,/	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,/' debian/control
+	sed -i 's/#	hardening-wrapper,/	hardening-wrapper,/' debian/control
+	sed -i 's/^	gcc-4.4, g++-4.4,/#	gcc-4.4, g++-4.4,/' debian/control
 	sed -i 's/^	nvidia-cuda-toolkit,/#	nvidia-cuda-toolkit,/' debian/control
 	sed -i 's/^	libcuda1,/#	libcuda1,/' debian/control
+	sed -i 's/^Build-Conflicts: gcc-4.6, g++-4.6, hardening-wrapper/#Build-Conflicts: gcc-4.6, g++-4.6, hardening-wrapper/' debian/control
 	sed -i 's_^Section: contrib/_Section: _' debian/control
 	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
 	sed -i '/libsocl/,$$s/^\([^#]\)/#\1/' debian/control
-	sed -i '/starpu-top/,/^#$$/s/^#//' debian/control
+	sed -i '/starpu-top/,/starpu-examples/s/^#//' debian/control
 
 # Switch to contrib rules
 contrib:
@@ -50,10 +81,14 @@
 	sed -i 's/Conflicts: libstarpu-contrib/Conflicts: libstarpu/' debian/control
 	sed -i 's/Conflicts: starpu-contrib/Conflicts: starpu/' debian/control
 	sed -i 's/^#Provides:/Provides:/' debian/control
-	sed -i 's/^Architecture: any/Architecture: amd64 i386/' debian/control
+	sed -i 's/^	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,/#	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,/' debian/control
+	sed -i 's/^	hardening-wrapper,/#	hardening-wrapper,/' debian/control
+	sed -i 's/#	gcc-4.4, g++-4.4,/	gcc-4.4, g++-4.4,/' debian/control
 	sed -i 's/#	nvidia-cuda-toolkit,/	nvidia-cuda-toolkit,/' debian/control
 	sed -i 's/#	libcuda1,/	libcuda1,/' debian/control
+	sed -i 's/#Build-Conflicts: gcc-4.6, g++-4.6, hardening-wrapper/Build-Conflicts: gcc-4.6, g++-4.6, hardening-wrapper/' debian/control
 	sed -i 's_contrib/contrib/_contrib_g' debian/control debian/control
 	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
 	sed -i '/libsocl/,$$s/^#//' debian/control
-	sed -i 's_^Section: _Section: contrib/_' debian/control
+	sed -i 's/^Architecture: any/Architecture: amd64 i386/' debian/control
+	sed -i 's_^Section: \([^/]*\)$$_Section: contrib/\1_' debian/control

## starpu-contrib 1.0.5

=== debian/changelog ===
starpu-contrib (1.0.5-1ubuntu1) saucy; urgency=low

  * Build-depend on nvidia-current | libcuda-5.0-1 (LP: #1129409).
  * Locate current Nvidia driver directory using /etc/ld.so.conf.d.

 -- Graham Inggs <graham@nerve.org.za>  Thu, 25 Jul 2013 14:13:36 +0200

starpu-contrib (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * Move starpu_top.1.gz to starpu-top package.
  * control, rules: upgrade to gcc-4.7.
  * control: Make libstarpu-dev also depend on libstarpufft and libstarpumpi
    (Closes: Bug#715121).
  * Bump Standards-Version to 3.9.4 (no changes).
  * patches/mpi_link: disable using mpicc --showme:link link flags: they bring
    unnecessary rpath.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 06 Jul 2013 09:42:41 +0200

starpu (1.0.1-4) unstable; urgency=low

  * patches/binding: Backport upstream change to fix binding on CPU near GPUs,
    and for combined workers.
  * patches/bashism: Backport upstream change to fix bashism.
    (Closes: Bug#690935).
  * patches/automake-Werror: Fix automake warnings (Closes: Bug#713335).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Jul 2013 15:32:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: starpu-contrib
 Priority: extra
-Maintainer: Samuel Thibault <sthibault@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev, dh-autoreconf,
 	pkg-config,
 	libnuma-dev [amd64 i386 ia64 mips mipsel powerpc],
@@ -16,13 +17,13 @@
 	libcnf-dev, gfortran,
 	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
 #	hardening-wrapper,
-#	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,
-	gcc-4.4, g++-4.4,
+#	gcc-4.7, g++-4.7, gcc-4.7-plugin-dev,
+	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,
 	help2man,
 	nvidia-cuda-toolkit,
-	libcuda1,
-Build-Conflicts: gcc-4.6, g++-4.6, hardening-wrapper
-Standards-Version: 3.9.3
+	nvidia-current | libcuda-5.0-1
+Build-Conflicts: gcc-4.7, g++-4.7, hardening-wrapper
+Standards-Version: 3.9.4
 Section: contrib/libs
 Homepage: http://starpu.gforge.inria.fr/
 Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
@@ -31,7 +32,7 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: amd64 i386
-Depends: libstarpu-contrib-1.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, install-info, libhwloc-dev
+Depends: libstarpu-contrib-1.0 (= ${binary:Version}), libstarpu-contribfft-1.0 (= ${binary:Version}), libstarpu-contribmpi-1.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, install-info, libhwloc-dev
 Conflicts: libstarpu-dev
 Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -117,6 +118,8 @@
 #Section: utils
 #Architecture: any
 #Depends: ${shlibs:Depends}, ${misc:Depends}
+#Replaces: starpu-tools (<< 1.0.5~)
+#Breaks: starpu-tools (<< 1.0.5~)
 #Description: Task scheduler for heterogeneous multicore machines - top
 # StarPU is a runtime system that offers support for heterogeneous
 # multicore machines. While many efforts are devoted to design efficient

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1
DH_OPTIONS=-Bbuild
UBUNTU_NVIDIA_DIR=$(shell sed -n '/^\/usr\/lib\//{p;q}' /etc/ld.so.conf.d/$(DEB_BUILD_MULTIARCH)_GL.conf)

source=$(shell head -n 1 debian/changelog | cut -d ' ' -f 1)

GCC_VERSION          := 4.7
DEFAULT_GCC_VERSION  := 4.7
CONTRIB_GCC_VERSION  := 4.6

ifeq ($(source),starpu)
CC=gcc-$(GCC_VERSION)
CXX=g++-$(GCC_VERSION)
else
# nvcc sometimes chokes on some gcc features
CC=gcc-$(CONTRIB_GCC_VERSION)
CXX=g++-$(CONTRIB_GCC_VERSION)
endif
export CC
export CXX
V=1
export V

%:
	dh $@ --parallel $(DH_OPTIONS) --with autoreconf

override_dh_auto_configure:
	dh_auto_configure $(DH_OPTIONS) -- --enable-opengl-render \
		--with-qwt-include-dir=/usr/include/qwt-qt4 \
		--with-qwt-lib=qwt-qt4 \
		--with-cuda-lib-dir=$(UBUNTU_NVIDIA_DIR)

override_dh_auto_test:
	-HOME=$$PWD DISPLAY= dh_auto_test $(DH_OPTIONS) 
	$(MAKE) -C build showcheck

ifeq ($(source),starpu)
override_dh_install:
	dh_install usr/lib/starpu/*/gcc/*/*.so* /usr/lib/gcc/$(DEB_HOST_MULTIARCH)/$(GCC_VERSION)/plugin
endif

override_dh_auto_clean:
	dh_auto_clean $(DH_OPTIONS) 
	rm -fr .starpu
	rm -f starpu-top/StarPU-Top
	rm -fr .nv

# This is required by the gcc plugin infrastructure
GCC_DEBIAN_VERSION   := $(shell dpkg-query -f '$${Version}' -W $(CC))
GCC_UPSTREAM_VERSION := $(firstword $(subst -, ,$(GCC_DEBIAN_VERSION)))
override_dh_gencontrol:
	dh_gencontrol -- -VgccDeps='$(CC) (>= $(GCC_DEBIAN_VERSION)), $(CC) (<< $(GCC_UPSTREAM_VERSION)A)'

# Switch to main rules
main:
	sed -i '1s/^starpu-contrib/starpu/' debian/changelog
	sed -i '1s/^Source: starpu-contrib/Source: starpu/' debian/control
	sed -i 's/Package: libstarpu-contrib/Package: libstarpu/' debian/control
	sed -i 's/Package: starpu-contrib/Package: starpu/' debian/control
	sed -i '/Depends/s/ libstarpu-contrib/ libstarpu/g' debian/control
	sed -i 's/Conflicts: libstarpu/Conflicts: libstarpu-contrib/' debian/control
	sed -i 's/Conflicts: starpu/Conflicts: starpu-contrib/' debian/control
	sed -i 's/^Provides:/#Provides:/' debian/control
	sed -i 's/^Architecture: amd64 i386/Architecture: any/' debian/control
	sed -i 's/#	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/' debian/control
	sed -i 's/#	hardening-wrapper,/	hardening-wrapper,/' debian/control
	sed -i 's/^	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/#	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/' debian/control
	sed -i 's/^	nvidia-cuda-toolkit,/#	nvidia-cuda-toolkit,/' debian/control
	sed -i 's/^	libcuda1,/#	libcuda1,/' debian/control
	sed -i 's/^Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/#Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/' debian/control
	sed -i 's_^Section: contrib/_Section: _' debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i '/libsocl/,$$s/^\([^#]\)/#\1/' debian/control
	sed -i '/starpu-top/,/starpu-examples/s/^#//' debian/control

# Switch to contrib rules
contrib:
	sed -i '/starpu-top/,/^$$/s/^/#/' debian/control
	sed -i '1s/^starpu /starpu-contrib /' debian/changelog
	sed -i '1s/^Source: starpu/Source: starpu-contrib/' debian/control
	sed -i 's/Package: libstarpu/Package: libstarpu-contrib/' debian/control
	sed -i 's/Package: starpu/Package: starpu-contrib/' debian/control
	sed -i '/Depends/s/ libstarpu/ libstarpu-contrib/g' debian/control
	sed -i 's/Conflicts: libstarpu-contrib/Conflicts: libstarpu/' debian/control
	sed -i 's/Conflicts: starpu-contrib/Conflicts: starpu/' debian/control
	sed -i 's/^#Provides:/Provides:/' debian/control
	sed -i 's/^	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/#	gcc-$(GCC_VERSION), g++-$(GCC_VERSION), gcc-$(GCC_VERSION)-plugin-dev,/' debian/control
	sed -i 's/^	hardening-wrapper,/#	hardening-wrapper,/' debian/control
	sed -i 's/#	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gcc-$(CONTRIB_GCC_VERSION)-plugin-dev/' debian/control
	sed -i 's/#	nvidia-cuda-toolkit,/	nvidia-cuda-toolkit,/' debian/control
	sed -i 's/#	libcuda1,/	libcuda1,/' debian/control
	sed -i 's/^#Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION), hardening-wrapper/' debian/control
	sed -i 's_contrib/contrib/_contrib_g' debian/control debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i '/libsocl/,$$s/^#//' debian/control
	sed -i 's/^Architecture: any/Architecture: amd64 i386/' debian/control
	sed -i 's_^Section: \([^/]*\)$$_Section: contrib/\1_' debian/control

## starpu-contrib 1.1.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -16,14 +16,17 @@
 	libhwloc-dev,
 	libcnf-dev, gfortran,
 	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
-#	hardening-wrapper,
+#	hardening-wrapper, valgrind [amd64 armhf i386 mips mipsel powerpc s390x],
+	guile-2.0,
 #	gcc-4.7, g++-4.7, gcc-4.7-plugin-dev,
 	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,
 	help2man,
+	ocl-icd-opencl-dev,
+	ocl-icd-libopencl1,
 	nvidia-cuda-toolkit,
-	nvidia-current | libcuda-5.0-1
+	libcuda1 | libcuda-5.5-1,
 Build-Conflicts: gcc-4.7, g++-4.7, hardening-wrapper
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: contrib/libs
 Homepage: http://starpu.gforge.inria.fr/
 Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
@@ -32,7 +35,7 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: amd64 i386
-Depends: libstarpu-contrib-1.0 (= ${binary:Version}), libstarpu-contribfft-1.0 (= ${binary:Version}), libstarpu-contribmpi-1.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, install-info, libhwloc-dev
+Depends: libstarpu-contrib-1.1-4 (= ${binary:Version}), libstarpu-contribfft-1.1-1 (= ${binary:Version}), libstarpu-contribmpi-1.1-2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev
 Conflicts: libstarpu-dev
 Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -46,12 +49,12 @@
  .
  This package contains development headers and libraries.
 
-Package: libstarpu-contrib-1.0
+Package: libstarpu-contrib-1.1-4
 Section: contrib/libs
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-1.0
-Provides: libstarpu-1.0
+Conflicts: libstarpu-1.1-4
+Provides: libstarpu-1.1-4
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -63,12 +66,12 @@
  .
  This package contains the main StarPU library
 
-Package: libstarpu-contribfft-1.0
+Package: libstarpu-contribfft-1.1-1
 Section: contrib/libs
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpufft-1.0
-Provides: libstarpufft-1.0
+Conflicts: libstarpufft-1.1-1
+Provides: libstarpufft-1.1-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -80,12 +83,12 @@
  .
  This package contains a hybrid CPU+GPU FFT library.
 
-Package: libstarpu-contribmpi-1.0
+Package: libstarpu-contribmpi-1.1-2
 Section: contrib/libs
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpumpi-1.0
-Provides: libstarpumpi-1.0
+Conflicts: libstarpumpi-1.1-2
+Provides: libstarpumpi-1.1-2
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -118,8 +121,8 @@
 #Section: utils
 #Architecture: any
 #Depends: ${shlibs:Depends}, ${misc:Depends}
-#Replaces: starpu-tools (<< 1.0.5~)
-#Breaks: starpu-tools (<< 1.0.5~)
+#Replaces: starpu-tools (<< 1.0.5~), starpu-contrib-tools (<< 1.0.5~)
+#Breaks: starpu-tools (<< 1.0.5~), starpu-contrib-tools (<< 1.0.5~)
 #Description: Task scheduler for heterogeneous multicore machines - top
 # StarPU is a runtime system that offers support for heterogeneous
 # multicore machines. While many efforts are devoted to design efficient
@@ -148,7 +151,7 @@
  .
  This package contains application examples.
 
-Package: libsocl-contrib-1.0
+Package: libsocl-contrib-1.1-1
 Section: contrib/libs
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}

## starpu-contrib 1.1.0+dfsg

=== debian/changelog ===
starpu-contrib (1.1.0+dfsg-2ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. (LP: #1289463)
  * d/control:
    - Add alternate build-depends on libcuda-5.5-1
    - Add ocl-icd-opencl-dev and ocl-icd-libopencl1 build-dependencies
    - correctly enable compilation of OpenCL dependent features.

 -- Graham Inggs <graham@nerve.org.za>  Wed, 19 Mar 2014 08:28:42 +0200

starpu-contrib (1.1.0+dfsg-2) unstable; urgency=medium

  * patches/build_fixes: Fix sync_synchronize use on non-x86 archs.
  * control: Depend on valgrind only on archs which have it.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 29 Dec 2013 12:52:48 +0100

starpu (1.1.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Do not depend on install-info any more.
  * Bump Standards-Version to 3.9.5.
  * patches: refresh.
  * control: Add valgrind and guile build-dependency.
  * docs: Add pdf documentation.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Oct 2013 09:04:50 +0100

starpu (1.0.5+dfsg-1) unstable; urgency=low

  * Rebuild orig tarball without NVIDIA proprietary source code
    (Closes: Bug#724919).
  * watch: Mangle tarball name against +dfsg.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Sep 2013 18:14:07 +0200

starpu (1.0.5-3) unstable; urgency=high

  * patches/automake-nowerror: Do not pass -Werror to automake
    (Closes: Bug#724128).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Sep 2013 21:55:39 +0200

starpu (1.0.5-2) unstable; urgency=low

  * Make starpu-top also replace/break starpu-contrib-tools
    (Closes: Bug#717996).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Jul 2013 20:44:13 +0200

starpu-contrib (1.0.5-1ubuntu3) trusty; urgency=medium

  * Add ocl-icd-opencl-dev and ocl-icd-libopencl1 build-dependencies to
    correctly enable compilation of OpenCL dependent features.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Dec 2013 10:07:40 +0000

starpu-contrib (1.0.5-1ubuntu2) trusty; urgency=medium

  * Ignore automake errors.
  * Rebuilds against openmpi1.6.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 21 Dec 2013 16:56:19 +0000

starpu (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * Move starpu_top.1.gz to starpu-top package.
  * control, rules: upgrade to gcc-4.7.
  * control: Make libstarpu-dev also depend on libstarpufft and libstarpumpi
    (Closes: Bug#715121).
  * Bump Standards-Version to 3.9.4 (no changes).
  * patches/mpi_link: disable using mpicc --showme:link link flags: they bring
    unnecessary rpath.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 06 Jul 2013 09:42:41 +0200
